WordPressバージョンアップ!


当ブログのコアとなっているWordPressのバージョンアップをしてみました。

いままでのバージョンは3.1.4で、使いたくても使えないプラグインも多数あって残念な毎日でした。

ちなみにWordPressはブログシステムではなく、CMS(コンテンツマネジメントシステム)です。

 

利用しているサーバーでのPHPバージョンが4.xのために要件を満たしておらず、更新不可。

何日かは「仕方ない」と諦めていましたが、よくよく思い直すとPHP4もしくはPHP5が使用できることを思い出しました。

サーバーのガイドを見ると、こうありました。

 

.htaccessファイルによりディレクトリー単位でPHPのバージョンを指定していただく事も可能です。またはファイル拡張子によってPHP4とPHP5を使い分ける事も可能です。

 

そうそう、これこれ!

さっそく.htaccessをちゃちゃっと編集して、WordPressのダッシュボードを更新!

おお!「3.4.1に自動更新」って文字が出てきた!

 

念のため、すべてのファイルとデータベースのバックアップ。

恐る恐る「自動更新」をポチッとな。

 

・・・

 

あれ?1分かかったかな?

あっという間に更新完了!

そして「最新版にアップデートされたよー」っていうページが表示されました。

 

よーし、これで今まで使いたくても使えなかったプラグインが使えるぞ\(^0^)/

Leave a Reply

メールアドレスが公開されることはありません。